/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.ui.common.beans;

/**
 * @author DNS   KATIKM holds the display label message key and old and the new values of the field for the Change
 *         event
 */
public class FieldHistoryInfo extends TableRow
{
    private static final long serialVersionUID = 1395855841554809907L;
    
    private String labelKey = null;
    private String currentValue = null;
    private String previousValue = null;

    public FieldHistoryInfo(String labelKey, String currentValue, String previousValue)
    {
        super(false);
        this.labelKey = labelKey;
        this.currentValue = currentValue;
        this.previousValue = previousValue;
    }

    public String getCurrentValue()
    {
        return currentValue;
    }

    public void setCurrentValue(String currentValue)
    {
        this.currentValue = currentValue;
    }

    public String getLabelKey()
    {
        return labelKey;
    }

    public void setLabelKey(String labelKey)
    {
        this.labelKey = labelKey;
    }

    public String getPreviousValue()
    {
        return previousValue;
    }

    public void setPreviousValue(String previousValue)
    {
        this.previousValue = previousValue;
    }
}
